> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/59.-query-asapplieddatasets-ophalen.md).

# 59. Query: "AsAppliedDatasets" ophalen

Haalt As-Planted- of As-Applied-datasets op

Haal alle "AsAppliedDatasets" op voor het geselecteerde "Field". Datasets kunnen worden opgehaald met generieke GraphQL-query's zoals `getFarms` en `getFields` van het gekoppelde "Field".&#x20;

{% hint style="warning" %}
Een "AsAppliedDataset" moet van tevoren worden geüpload.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    naam
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        naam
        number #totaal aantal geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributen
        
        fullAttributes { #volledige details per attribuut
          name #koppeling naar statistieken >> attribuut
          transliteratedName
          fullName #correcte menselijk leesbare naam
          unit#meeteenheden
        }

        usedMachines { #gebruikte machines
          id
          serienummer
          operatorId
        } 

        createdDate #entiteit aanmaakdatum en -tijd in GeoPard
        updatedDate #laatste update datum en -tijd
        operationId
        operationType
        operationFileDate #bestandsaanmaakdatum-tijd komt uit de metainformatie 
        operationStartDate #start van de operatie komt uit de metainformatie
        
        statistics { #statistieke verdeling voor elk attribuut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          korteNaam
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        naam
        number #totaal aantal geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributen
        
        fullAttributes { #volledige details per attribuut
          name #koppeling naar statistieken >> attribuut
          transliteratedName
          fullName #correcte menselijk leesbare naam
          unit#meeteenheden
        }

        usedMachines { #gebruikte machines
          id
          serienummer
          operatorId
        } 

        createdDate #entiteit aanmaakdatum en -tijd in GeoPard
        updatedDate #laatste update datum en -tijd
        operationId
        operationType
        operationFileDate #bestandsaanmaakdatum-tijd komt uit de metainformatie 
        operationStartDate #start van de operatie komt uit de metainformatie
        
        statistics { #statistieke verdeling voor elk attribuut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          korteNaam
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/59.-query-asapplieddatasets-ophalen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
